Auto Scaling Group SDK
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
asg_krnstringOptional
vpc_krnstringOptional
instanceNamestringOptional
instanceTypestringOptional
instanceTypeIdstringOptional
regionstringOptional
sshkey_namestringOptional
vm_volume_disk_sizestringOptional
volumeNamestringOptional
image_krnstringOptional
network_krnstringOptional
security_groupsstring[]Optional
subnet_idstringOptional
attach_floating_ipbooleanOptional
asg_namestringOptional
minintegerOptional
maxintegerOptional
bootVolumeSizestringOptional
save_as_templatebooleanOptional
Responses
200
ASG updated
No content
post/asg/v1/update_asg
POST /asg/v1/update_asg HTTP/1.1
Host: cloud.olakrutrim.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 641
{
"asg_krn": "text",
"vpc_krn": "text",
"instanceName": "text",
"instanceType": "text",
"instanceTypeId": "text",
"region": "text",
"sshkey_name": "text",
"vm_volume_disk_size": "text",
"volumeName": "text",
"volumeSize": [
{
"count": 1,
"volumeName": "text",
"volumeSize": 1,
"volumeType": "text"
}
],
"image_krn": "text",
"network_krn": "text",
"security_groups": [
"text"
],
"subnet_id": "text",
"attach_floating_ip": true,
"asg_name": "text",
"policy": [
{
"PredefinedMetricSpecification": {
"PredefinedMetricType": "text"
},
"UpScaleTargetValue": 1,
"DownScaleTargetValue": 1,
"ScaleOutCooldown": 1,
"ScaleInCooldown": 1
}
],
"min": 1,
"max": 1,
"bootVolumeSize": "text",
"tags": [],
"save_as_template": true
}200
ASG updated
No content
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
asg_krnstringOptional
vpc_krnstringOptional
desired_vm_countintegerOptional
attach_floating_ipbooleanOptional
Responses
200
Upscale triggered
No content
post/asg/v1/upscale
POST /asg/v1/upscale HTTP/1.1
Host: cloud.olakrutrim.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 82
{
"asg_krn": "text",
"vpc_krn": "text",
"desired_vm_count": 1,
"attach_floating_ip": true
}200
Upscale triggered
No content
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
asg_krnstringOptional
countintegerOptional
Responses
200
Downscale triggered
No content
post/asg/v1/downscale
POST /asg/v1/downscale HTTP/1.1
Host: cloud.olakrutrim.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 28
{
"asg_krn": "text",
"count": 1
}200
Downscale triggered
No content
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
asg_krnstringOptional
asg_namestringOptional
pageintegerRequired
sizeintegerRequired
Header parameters
x-regionstringOptional
Responses
200
ASG retrieved
No content
get/asg/v1/retrieve_asg
GET /asg/v1/retrieve_asg?page=1&size=1 HTTP/1.1
Host: cloud.olakrutrim.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
ASG retrieved
No content
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
vpc_krnstringRequired
pageintegerRequired
sizeintegerRequired
Responses
200
ASG KRN list
No content
get/v1/asg/get_asg_krn
GET /v1/asg/get_asg_krn?vpc_krn=text&page=1&size=1 HTTP/1.1
Host: cloud.olakrutrim.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
ASG KRN list
No content
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
asg_krnstringRequired
Responses
200
ASG deleted
No content
delete/asg/v1/delete_asg/{asg_krn}
DELETE /asg/v1/delete_asg/{asg_krn} HTTP/1.1
Host: cloud.olakrutrim.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
ASG deleted
No content
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
vpc_idstringRequired
pageintegerRequired
sizeintegerRequired
Header parameters
x-regionstringOptional
Responses
200
Templates list
No content
get/asg/v1/get-launch-template
GET /asg/v1/get-launch-template?vpc_id=text&page=1&size=1 HTTP/1.1
Host: cloud.olakrutrim.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Templates list
No content
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
x_regionstringOptional
Body
vpc_krnstringOptional
instanceNamestringOptional
instanceTypestringOptional
regionstringOptional
security_groupsstring[]Optional
sshkey_namestringOptional
vm_volume_disk_sizestringOptional
volumeNamestringOptional
image_krnstringOptional
network_krnstringOptional
attach_floating_ipbooleanOptional
subnet_idstringOptional
template_namestringOptional
volumeTypestringOptional
minintegerOptional
maxintegerOptional
bootVolumeSizestringOptional
Responses
200
Launch template created
No content
post/asg/v1/create-launch-template
POST /asg/v1/create-launch-template HTTP/1.1
Host: cloud.olakrutrim.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 636
{
"vpc_krn": "text",
"instanceName": "text",
"instanceType": "text",
"region": "text",
"security_groups": [
"text"
],
"sshkey_name": "text",
"vm_volume_disk_size": "text",
"volumeName": "text",
"volumeSize": [
{
"count": 1,
"volumeName": "text",
"volumeSize": 1,
"volumeType": "text"
}
],
"image_krn": "text",
"network_krn": "text",
"attach_floating_ip": true,
"subnet_id": "text",
"template_name": "text",
"policy": [
{
"PredefinedMetricSpecification": {
"PredefinedMetricType": "text"
},
"UpScaleTargetValue": 1,
"DownScaleTargetValue": 1,
"ScaleOutCooldown": 1,
"ScaleInCooldown": 1
}
],
"qos": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"volumeType": "text",
"min": 1,
"max": 1,
"bootVolumeSize": "text"
}200
Launch template created
No content
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
template_idstringRequired
template_namestringRequired
Header parameters
x_regionstringOptional
Body
vm_volume_disk_sizestringOptional
bootVolumeSizestringOptional
Responses
200
Launch template updated
No content
post/asg/v1/update-launch-template
POST /asg/v1/update-launch-template?template_id=text&template_name=text HTTP/1.1
Host: cloud.olakrutrim.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 308
{
"vm_volume_disk_size": "text",
"volumeSize": [
{
"count": 1,
"volumeName": "text",
"volumeSize": 1,
"volumeType": "text"
}
],
"bootVolumeSize": "text",
"qos": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"policy": [
{
"PredefinedMetricType": "text",
"ScaleOutThreshold": 1,
"ScaleInThreshold": 1,
"ScaleOutCooldown": 1,
"ScaleInCooldown": 1
}
]
}200
Launch template updated
No content
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
template_idstringRequired
template_namestringRequired
versionintegerRequired
Header parameters
x-regionstringRequired
Responses
200
Launch template deleted
No content
post/asg/v1/delete-launch-template
POST /asg/v1/delete-launch-template?template_id=text&template_name=text&version=1 HTTP/1.1
Host: cloud.olakrutrim.com
Authorization: Bearer YOUR_SECRET_TOKEN
x-region: text
Accept: */*
200
Launch template deleted
No content
Last updated
Was this helpful?

